﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MVB_RestBookService.CodeLists
{
    public class CodeList_027_subjectIdentifier : CodeList
    {

        public CodeList_027_subjectIdentifier()
        {
            codes.Add("", "");
            codes.Add("01", "Dewey");
            codes.Add("02", "Abridged Dewey");
            codes.Add("03", "LC classification");
            codes.Add("04", "LC subject heading");
            codes.Add("05", "NLM classification");
            codes.Add("06", "MeSH heading");
            codes.Add("07", "NAL subject heading");
            codes.Add("08", "AAT");
            codes.Add("09", "UDC");
            codes.Add("10", "BISAC Subject Heading");
            codes.Add("11", "BISAC region code");
            codes.Add("12", "BIC subject category");
            codes.Add("13", "BIC geographical qualifier");
            codes.Add("14", "BIC language qualifier (language as subject)");
            codes.Add("15", "BIC time period qualifier");
            codes.Add("16", "BIC educational purpose qualifier");
            codes.Add("17", "BIC reading level and special interest qualifier");
            codes.Add("18", "DDC-Sachgruppen der Deutschen Nationalbibliografie");
            codes.Add("19", "LC fiction genre heading");
            codes.Add("20", "Keywords");
            codes.Add("21", "BIC children’s book marketing category");
            codes.Add("22", "BISAC Merchandising Theme");
            codes.Add("23", "Publisher’s own category code");
            codes.Add("24", "Proprietary subject scheme");
            codes.Add("25", "Tabla de materias ISBN");
            codes.Add("26", "Warengruppen-Systematik des deutschen Buchhandels");
            codes.Add("27", "SWD");
            codes.Add("28", "Thèmes Electre");
            codes.Add("29", "CLIL");
            codes.Add("30", "DNB-Sachgruppen");
            codes.Add("31", "NUGI");
            codes.Add("32", "NUR");
            codes.Add("33", "ECPA Christian Book Category");
            codes.Add("34", "SISO");
            codes.Add("35", "Korean Decimal Classification (KDC)");
            codes.Add("36", "DDC Deutsch 22");
            codes.Add("37", "Bokgrupper");
            codes.Add("38", "Varegrupper");
            codes.Add("39", "Læreplaner");
            codes.Add("40", "Nippon Decimal Classification");
            codes.Add("41", "BSQ");
            codes.Add("42", "ANELE Materias");
            codes.Add("43", "Skolefag");
            codes.Add("44", "Videregående");
            codes.Add("45", "Undervisningsmateriell");
            codes.Add("46", "Norsk DDK");
            codes.Add("47", "Varugrupper");
            codes.Add("48", "SAB");
            codes.Add("49", "Läromedel");
            codes.Add("50", "Förhandsbeskrivning");
            codes.Add("51", "Spanish ISBN UDC subset");
            codes.Add("52", "ECI subject categories");
            codes.Add("53", "Soggetto CCE");
            codes.Add("54", "Qualificatore geografico CCE");
            codes.Add("55", "Qualificatore di lingua CCE");
            codes.Add("56", "Qualificatore di periodo storico CCE");
            codes.Add("57", "Qualificatore di livello scolastico CCE");
            codes.Add("58", "Qualificatore di età di lettura CCE");
            codes.Add("59", "VdS Bildungsmedien Fächer");
            codes.Add("60", "Fagkoder");
            codes.Add("61", "JEL classification");
            codes.Add("62", "CSH");
            codes.Add("63", "RVM");
            codes.Add("64", "YSA");
            codes.Add("65", "Allärs");
            codes.Add("66", "YKL");
            codes.Add("67", "MUSA");
            codes.Add("68", "CILLA");
            codes.Add("69", "Kaunokki");
            codes.Add("70", "Bella");
            codes.Add("71", "YSO");
            codes.Add("72", "Paikkatieto ontologia");
            codes.Add("73", "Suomalainen kirja-alan luokitus");
            codes.Add("74", "Sears");
            codes.Add("75", "BIC E4L");
            codes.Add("76", "CSR");
            codes.Add("77", "Suomalainen oppiaineluokitus");
            codes.Add("78", "Japanese book trade C-Code");
            codes.Add("79", "Japanese book trade Genre Code");
            codes.Add("80", "Fiktiivisen aineiston lisäluokitus");
            codes.Add("85", "Postal code");
            codes.Add("86", "GeoNames ID");
            codes.Add("87", "NewBooks Subject Classification");
            codes.Add("91", "GND");
            codes.Add("92", "BIC UKSLC");
            codes.Add("93", "Thema subject category");
            codes.Add("94", "Thema geographical qualifier");
            codes.Add("95", "Thema language qualifier");
            codes.Add("96", "Thema time period qualifier");
            codes.Add("97", "Thema educational purpose qualifier");
            codes.Add("98", "Thema interest age / special interest qualifier");
            codes.Add("99", "Thema style qualifier");
            codes.Add("A2", "Ämnesord");
            codes.Add("A3", "Statystyka Książek Papierowych, Mówionych I Elektronicznych");
            codes.Add("A4", "CCSS");
            codes.Add("A5", "Rameau");
            codes.Add("A6", "Nomenclature discipline scolaire");
            codes.Add("A7", "ISIC");
        }

    }
}
