﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MVB_RestBookService.CodeLists
{
    public class CodeList_065_availability : CodeList
    {

        public CodeList_065_availability()
        {
            codes.Add("", "");
            codes.Add("01", "Wiederrufen / Gelöscht");
            codes.Add("10", "Noch nicht verfügbar");
            codes.Add("11", "Awaiting stock");
            codes.Add("12", "Noch nicht verfügbar (Print-on-Demand)");
            codes.Add("20", "Verfügbar");
            codes.Add("21", "Auf Lager");
            codes.Add("22", "Bestellung");
            codes.Add("23", "Print-on-Demand");
            codes.Add("30", "Zeitweilig nicht verfügbar");
            codes.Add("31", "Nicht mehr auf Lager");
            codes.Add("32", "Neudruck");
            codes.Add("33", "Warten auf Neudruck");
            codes.Add("34", "Zeitweilig vom Verkauf zurückgezogen");
            codes.Add("40", "Nicht verfügbar (kein Grund angegeben)");
            codes.Add("41", "Nicht verfügbar, durch neues Produkt ersetzt");
            codes.Add("42", "Nicht verfügbar, andere Formate verfügbar");
            codes.Add("43", "Nicht länger bei diesem Verlag verfügbar");
            codes.Add("44", "Direktverkauf");
            codes.Add("45", "Kein Einzelverkauf");
            codes.Add("46", "Vom Verkauf zurückgezogen");
            codes.Add("47", "Restbestand");
            codes.Add("48", "Nicht verfügbar, ersetzt durch Print-on-Demand");
            codes.Add("49", "Zurückgerufen");
            codes.Add("50", "Kein Verkauf als Reihe");
            codes.Add("51", "Nicht verfügbar, publisher indicates OP");
            codes.Add("52", "Nicht verfügbar, Verlag verkauft nicht mehr");
            codes.Add("97", "Verfügbarkeit nicht aktualisiert");
            codes.Add("98", "Verfügbarkeit nicht aktualisiert");
            codes.Add("99", "Verkäufer kontaktieren");


            /*
            codes.Add("", "");
            codes.Add("01", "Cancelled");
            codes.Add("10", "Not yet available");
            codes.Add("11", "Awaiting stock");
            codes.Add("12", "Not yet available, will be POD");
            codes.Add("20", "Available");
            codes.Add("21", "In stock");
            codes.Add("22", "To order");
            codes.Add("23", "POD");
            codes.Add("30", "Temporarily unavailable");
            codes.Add("31", "Out of stock");
            codes.Add("32", "Reprinting");
            codes.Add("33", "Awaiting reissue");
            codes.Add("34", "Temporarily withdrawn from sale");
            codes.Add("40", "Not available (reason unspecified)");
            codes.Add("41", "Not available, replaced by new product");
            codes.Add("42", "Not available, other format available");
            codes.Add("43", "No longer supplied by us");
            codes.Add("44", "Apply direct");
            codes.Add("45", "Not sold separately");
            codes.Add("46", "Withdrawn from sale");
            codes.Add("47", "Remaindered");
            codes.Add("48", "Not available, replaced by POD");
            codes.Add("49", "Recalled");
            codes.Add("50", "Not sold as set");
            codes.Add("51", "Not available, publisher indicates OP");
            codes.Add("52", "Not available, publisher no longer sells product in this market");
            codes.Add("97", "No recent update received");
            codes.Add("98", "No longer receiving updates");
            codes.Add("99", "Contact supplier");*/
        }

    }
}
