﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MVB_RestBookService.CodeLists
{
    public class CodeList_017_contributorRole : CodeList
    {

        public CodeList_017_contributorRole()
        {
            codes.Add("", "");
            codes.Add("A01", "By (author)");
            codes.Add("A02", "With");
            codes.Add("A03", "Screenplay by");
            codes.Add("A04", "Libretto by");
            codes.Add("A05", "Lyrics by");
            codes.Add("A06", "By (composer)");
            codes.Add("A07", "By (artist)");
            codes.Add("A08", "By (photographer)");
            codes.Add("A09", "Created by");
            codes.Add("A10", "From an idea by");
            codes.Add("A11", "Designed by");
            codes.Add("A12", "Illustrated by");
            codes.Add("A13", "Photographs by");
            codes.Add("A14", "Text by");
            codes.Add("A15", "Preface by");
            codes.Add("A16", "Prologue by");
            codes.Add("A17", "Summary by");
            codes.Add("A18", "Supplement by");
            codes.Add("A19", "Afterword by");
            codes.Add("A20", "Notes by");
            codes.Add("A21", "Commentaries by");
            codes.Add("A22", "Epilogue by");
            codes.Add("A23", "Foreword by");
            codes.Add("A24", "Introduction by");
            codes.Add("A25", "Footnotes by");
            codes.Add("A26", "Memoir by");
            codes.Add("A27", "Experiments by");
            codes.Add("A29", "Introduction and notes by");
            codes.Add("A30", "Software written by");
            codes.Add("A31", "Book and lyrics by");
            codes.Add("A32", "Contributions by");
            codes.Add("A33", "Appendix by");
            codes.Add("A34", "Index by");
            codes.Add("A35", "Drawings by");
            codes.Add("A36", "Cover design or artwork by");
            codes.Add("A37", "Preliminary work by");
            codes.Add("A38", "Original author");
            codes.Add("A39", "Maps by");
            codes.Add("A40", "Inked or colored by");
            codes.Add("A41", "Pop-ups by");
            codes.Add("A42", "Continued by");
            codes.Add("A43", "Interviewer");
            codes.Add("A44", "Interviewee");
            codes.Add("A99", "Other primary creator");
            codes.Add("B01", "Edited by");
            codes.Add("B02", "Revised by");
            codes.Add("B03", "Retold by");
            codes.Add("B04", "Abridged by");
            codes.Add("B05", "Adapted by");
            codes.Add("B06", "Translated by");
            codes.Add("B07", "As told by");
            codes.Add("B08", "Translated with commentary by");
            codes.Add("B09", "Series edited by");
            codes.Add("B10", "Edited and translated by");
            codes.Add("B11", "Editor-in-chief");
            codes.Add("B12", "Guest editor");
            codes.Add("B13", "Volume editor");
            codes.Add("B14", "Editorial board member");
            codes.Add("B15", "Editorial coordination by");
            codes.Add("B16", "Managing editor");
            codes.Add("B17", "Founded by");
            codes.Add("B18", "Prepared for publication by");
            codes.Add("B19", "Associate editor");
            codes.Add("B20", "Consultant editor");
            codes.Add("B21", "General editor");
            codes.Add("B22", "Dramatized by");
            codes.Add("B23", "General rapporteur");
            codes.Add("B24", "Literary editor");
            codes.Add("B25", "Arranged by (music)");
            codes.Add("B26", "Technical editor");
            codes.Add("B27", "Thesis advisor or supervisor");
            codes.Add("B28", "Thesis examiner");
            codes.Add("B99", "Other adaptation by");
            codes.Add("C01", "Compiled by");
            codes.Add("C02", "Selected by");
            codes.Add("C99", "Other compilation by");
            codes.Add("D01", "Producer");
            codes.Add("D02", "Director");
            codes.Add("D03", "Conductor");
            codes.Add("D99", "Other direction by");
            codes.Add("E01", "Actor");
            codes.Add("E02", "Dancer");
            codes.Add("E03", "Narrator");
            codes.Add("E04", "Commentator");
            codes.Add("E05", "Vocal soloist");
            codes.Add("E06", "Instrumental soloist");
            codes.Add("E07", "Read by");
            codes.Add("E08", "Performed by (orchestra, band, ensemble)");
            codes.Add("E09", "Speaker	of");
            codes.Add("E99", "Performed by");
            codes.Add("F01", "Filmed/photographed by");
            codes.Add("F02", "Editor (film or video)");
            codes.Add("F99", "Other recording by");
            codes.Add("Z01", "Assisted by");
            codes.Add("Z98", "(Various roles)");
            codes.Add("Z99", "Other");
        }

    }
}
